### Index

ConsoleAppenderPrefixConverters (packages/.../log.config.ts) DeepPartial (packages/.../eui-service.model.ts) ErrorMappingHandler (packages/.../ux-error-feedback.model.ts) EuiAppConfig (packages/.../eui-app-config.ts) EuiLanguageCode (packages/.../eui-eu-languages.model.ts) HttpErrorCallbackFn (packages/.../http-error-handler.config.ts) HTTPMethod (packages/.../app.models.ts) LogAppenderType (packages/.../log.config.ts) SubErrors (packages/.../ux-error-feedback.model.ts) TranslationsCompiler (packages/.../i18n.config.ts) UUID (packages/.../crypto.polyfill.ts) UxErrorFeedbackEventType (packages/.../ux-error-feedback.model.ts) UxErrorGroupItem (packages/.../ux-error-feedback.model.ts) UxErrorGroupMap (packages/.../ux-error-feedback.model.ts) UxValidationErrorAttributes (packages/.../ux-error-feedback.model.ts)

### packages/base/src/lib/eui-models/eui-config/log.config.ts

ConsoleAppenderPrefixConverters
The type of pluggable console prefix converters
``literal type``

LogAppenderType
log appender type, containing also the configuration of the specified appender
``Type<LogAppender> | LogAppenderTypeConfig | ConsoleAppenderTypeConfig | UrlAppenderTypeConfig``

### packages/base/src/lib/eui-models/eui-service.model.ts

DeepPartial
``unknown``

### packages/base/src/lib/ux-models/ux-error-feedback.model.ts

ErrorMappingHandler
``function``

SubErrors
``Array<UxValidationErrorClass>``

UxErrorFeedbackEventType
``UxPublishErrorFeedbackEvent | UxClearErrorFeedbackEvent``

UxErrorGroupItem
``literal type``

UxErrorGroupMap
``literal type``

UxValidationErrorAttributes
``Array<UxValidationErrorAttribute>``

### packages/base/src/lib/eui-models/eui-config/eui-app-config.ts

EuiAppConfig
``unknown``

### packages/base/src/lib/eui-models/eui-language/eui-eu-languages.model.ts

EuiLanguageCode
``string | EuiLanguage``

### packages/base/src/lib/eui-models/eui-config/http-error-handler.config.ts

HttpErrorCallbackFn
``function``

### packages/base/src/lib/eui-models/eui-store/models/app.models.ts

HTTPMethod
``"GET" | "HEAD" | "POST" | "PUT" | "DELETE" | "CONNECT" | "OPTIONS" | "TRACE" | "PATCH"``

### packages/base/src/lib/eui-models/eui-config/i18n.config.ts

TranslationsCompiler
a factory to compile translations into the main object holding them all
``function``

### packages/base/src/lib/polyfill/crypto.polyfill.ts

UUID
polyfill for usage of crypto.randomUUID() on non HTTPS environments EUI-10272 Please remove in the future when EC Policy for HTTPS is enforced.
```${string}-${string}-${string}-${string}-${string}```

# results matching ""

# No results matching ""